<%@ page language="java" %>
<%@ page import="com.ora.jsp.util.*" %>

<jsp:useBean id="errorMessages" scope="request" class="java.util.Vector" />

<% 
  if (request.getParameter("userName").length() == 0) { 
    errorMessages.addElement("User Name missing");
  }
  if (request.getParameter("password").length() == 0) { 
    errorMessages.addElement("Password missing");
  }
  if (request.getParameter("firstName").length() == 0) { 
    errorMessages.addElement("First Name missing");
  }
  if (request.getParameter("lastName").length() == 0) { 
    errorMessages.addElement("Last Name missing");
  }
  if (request.getParameter("dept").length() == 0) { 
    errorMessages.addElement("Department missing");
  }
  if (!StringFormat.isValidDate(request.getParameter("empDate"),
    "yyyy-MM-dd")) { 
    errorMessages.addElement("Invalid Employment Date");
  }
  if (!StringFormat.isValidEmailAddr(request.getParameter("emailAddr"))) { 
    errorMessages.addElement("Invalid Email Address");
  }

  if (errorMessages.size() > 0) {
%>
  <jsp:forward page="enter.jsp" />

<% } else { %>

  <jsp:forward page="store.jsp" />

<% } %>
